#!/bin/bash
# dengxin's image crawler, from Bing Image Search
# "bing_crawler_dai.sh -q <query> -n <img_num> -o <offset> -s <save_path>"
###############################################################################
### Begining/Initialisation ###
VERSION="0.1"  # Program version

QUERY="sunset"
NUMBER=10
OFFSET=0
SPATH="./"

### Input option parsing ###
while getopts ":q:n:o:s:k:" opt; do
case $opt in
q)
QUERY=${OPTARG}
;;
n)
NUMBER=${OPTARG}
;;
o)
OFFSET=${OPTARG}
;;
s)
SPATH=${OPTARG}
;;
k)
KEY=${OPTARG}
;;
\?)
echo "Invalid option: -${OPTARG}" >&2
exit 1
;;
esac
done

python ./bing_crawler.py $QUERY $NUMBER $OFFSET $SPATH $KEY
